Package org.eclipse.emf.cdo.transaction

# Interface CDOMerger

All Known Subinterfaces:
  `CDOMerger2`, `CDOMergerBaseAware`

All Known Implementing Classes:
  `DefaultCDOMerger`, `DefaultCDOMerger.PerFeature`, `DefaultCDOMerger.PerFeature.ManyValued`, `DefaultCDOMerger.PerFeature.ManyValuedOld`

public interface CDOMerger
Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.

Since:
  3.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CDOMerger.ConflictException`
Thrown from a `merger` in case of conflicting changes in the a source and target `change sets`.

## Method Summary

Modifier and Type
Method
Description
`CDOChangeSetData`
`merge(CDOChangeSet target, CDOChangeSet source)`
Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.

## Method Details

### merge

CDOChangeSetData merge(CDOChangeSet target, CDOChangeSet source) throws CDOMerger.ConflictException
Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.

Throws:
  `CDOMerger.ConflictException`